package com.huazheng.project.mssql.mapper;

import java.util.List;

import com.huazheng.project.mssql.model.SalesContractProcess;
import com.huazheng.project.mssql.model.SalesContractProcessMX;
import com.huazheng.project.mssql.model.SalesForecastProcess;
import com.huazheng.project.mssql.model.SalesForecastProcessMX;
import com.huazheng.project.mssql.model.SalesInquiryProcess;
import com.huazheng.project.mssql.model.SalesInquiryProcessMX;
import com.huazheng.project.mssql.model.SampleApplicationProcess;
import com.huazheng.project.mssql.model.SampleApplicationProcessMingXi;
import com.huazheng.project.mssql.model.SampleClosingProcess;
import com.huazheng.project.mssql.model.SampleClosingProcessMingXi;

public interface CrmMapper {

	public List<SalesContractProcess> selectSalesContractProcessNew(SalesContractProcess scp);
	public List<SalesForecastProcess> selectSalesForecastProcessNew(SalesForecastProcess sfp);
	public List<SampleApplicationProcess> selectSampleApplicationProcessNew(SampleApplicationProcess scp);
	public List<SampleApplicationProcessMingXi> selectSampleApplicationProcessMingXiNew(SampleApplicationProcessMingXi scp);
	
	public List<SalesInquiryProcess> selectSalesInquiryProcessNew(SalesInquiryProcess sip);
	public List<SalesInquiryProcessMX> selectSalesInquiryProcessMXNew(SalesInquiryProcessMX sip);
	
	public List<SampleClosingProcess> selectSampleClosingProcessNew(SampleClosingProcess scp);
	public List<SampleClosingProcessMingXi> selectSampleClosingProcessMingXiNew(SampleClosingProcessMingXi scp);
	
	public List<SalesContractProcessMX> selectSalesContractProcessMX(SalesContractProcess scp);
	public List<SalesForecastProcessMX> selectSalesForecastProcessMX(SalesForecastProcess scp);
	
	
	// 按天更新
	public List<SalesContractProcess> selectSalesContractProcessCheckByUpdate(SalesContractProcess scp);
	public List<SalesForecastProcess> selectSalesForecastProcessCheckByUpdate(SalesForecastProcess sfp);
	public List<SampleApplicationProcess> selectSampleApplicationProcessCheckByUpdate(SampleApplicationProcess scp);
	public List<SalesInquiryProcess> selectSalesInquiryProcessCheckByUpdate(SalesInquiryProcess sip);
	public List<SampleClosingProcess> selectSampleClosingProcessCheckByUpdate(SampleClosingProcess scp);
	
	// 按天更新的级联
	public List<SalesContractProcessMX> cascadeSalesContractProcessMXBySalesContractProcess(SalesContractProcess source);
	public List<SalesForecastProcessMX> cascadeSalesForecastProcessMXBySalesForecastProcess(SalesForecastProcess source);
	public List<SampleApplicationProcessMingXi> cascadeSampleApplicationProcessMingXiBySampleApplicationProcess(SampleApplicationProcess source);
	public List<SalesInquiryProcessMX> cascadeSalesInquiryProcessMXBySalesInquiryProcess(SalesInquiryProcess source);
	public List<SampleClosingProcessMingXi> cascadeSampleClosingProcessMingXiBySampleClosingProcess(SampleClosingProcess source);
	
	
	
	
	
	public SalesContractProcess selectSalesContractProcessById(SalesContractProcess target);
	public SalesContractProcessMX selectSalesContractProcessMXById(SalesContractProcessMX target);
	public SalesForecastProcess selectSalesForecastProcessById(SalesForecastProcess target);
	public SalesForecastProcessMX selectSalesForecastProcessMXById(SalesForecastProcessMX target);
	public SampleApplicationProcess selectSampleApplicationProcessById(SampleApplicationProcess target);
	public SampleApplicationProcessMingXi selectSampleApplicationProcessMingXiById(SampleApplicationProcessMingXi target);
	public SampleClosingProcess selectSampleClosingProcessById(SampleClosingProcess target);
	public SampleClosingProcessMingXi selectSampleClosingProcessMingXiById(SampleClosingProcessMingXi target);
	public SalesInquiryProcess selectSalesInquiryProcessById(SalesInquiryProcess target);
	public SalesInquiryProcessMX selectSalesInquiryProcessMXById(SalesInquiryProcessMX target);
	
}
